any File Reference

Go to the source code of this file.

## Classes

class | std::any
class | std::bad_any_cast

## Namespaces

namespace | std
namespace | std::__detail

## Macros

#define | __cpp_lib_any
#define | _GLIBCXX_ANY

## Functions

void | std::__throw_bad_any_cast ()
template<typename _ValueType >
_ValueType | std::any_cast (const any &__any)
template<typename _Tp , typename... _Args>
enable_if_t< is_constructible_v< any, in_place_type_t< _Tp >, _Args... >, any > | std::make_any (_Args &&... __args)
template<typename _Tp , typename _Up , typename... _Args>
enable_if_t< is_constructible_v< any, in_place_type_t< _Tp >, initializer_list< _Up > &, _Args... >, any > | std::make_any (initializer_list< _Up > __il, _Args &&... __args)
void | std::swap (any &__x, any &__y) noexcept
template<typename _ValueType >
_ValueType | std::any_cast (any &&__any)
template<typename _ValueType >
_ValueType | std::any_cast (any &__any)
template<typename _ValueType >
_ValueType * | std::any_cast (any *__any) noexcept
template<typename _ValueType >
const _ValueType * | std::any_cast (const any *__any) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file any.

## Macro Definition Documentation

## _GLIBCXX_ANY

#define _GLIBCXX_ANY

Definition at line 30 of file any.